JDK-8177390: java -version does not differentiate between which port of AArch64 is used
Andrew Haley
aph at redhat.com
Wed Mar 29 12:57:46 UTC 2017
On 27/03/17 21:48, David Holmes wrote:
> The RDP2 process needs to be followed as per the email:
>
> http://mail.openjdk.java.net/pipermail/jdk9-dev/2017-March/005666.html
>
> I have updated the bug to a P2 and marked it for fixing in 9. You and
> Bob need to fulfill the other requirements of the process so the fix can
> be approved.
>
> There will also need to be a change to hotspot/test/test_env.sh to
> correctly set the VM_CPU variable when it sees arm64 instead of aarch64.
>
> Bob: you'll need to check the closed/runtime tests with the changes.
Mario is away for a little while, so I need to pick up on what
is needed. Is this what you're thinking of?
diff -r d302cf2436c5 test/test_env.sh
--- a/test/test_env.sh Thu Jun 23 17:58:59 2016 +0000
+++ b/test/test_env.sh Wed Mar 29 13:56:58 2017 +0100
@@ -209,6 +209,11 @@
then
VM_CPU="aarch64"
fi
+grep "arm64" vm_version.out > ${NULL}
+if [ $? = 0 ]
+then
+ VM_CPU="aarch64"
+fi
export VM_TYPE VM_BITS VM_OS VM_CPU
echo "VM_TYPE=${VM_TYPE}"
echo "VM_BITS=${VM_BITS}"
Andrew.
More information about the jdk9-dev
mailing list